Name:           perl-Net-Amazon-EC2-Metadata
Version:        0.10
Release:        4%{?dist}
Summary:        Retrieves data from EC2 Metadata service
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Amazon-EC2-Metadata/
Source0:        http://www.cpan.org/authors/id/N/NM/NMCFARL/Net-Amazon-EC2-Metadata-%{version}.tar.gz
Patch0:         perl-Net-Amazon-EC2-Metadata-0.10-say.patch
# https://rt.cpan.org/Public/Bug/Display.html?id=74949
Patch1:         net-amazon-ec2-metadata.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module queries Amazon's Elastic Compute Cloud Metadata service.
It also fetches 'user_data' which follows the same API but is often no
considered part of the metadata service by Amazons documentation. The
module also ships with a command line tool ec2meta that provides the same
data.


%prep
%setup -q -n Net-Amazon-EC2-Metadata-%{version}
%patch0 -p1
%patch1 -p1


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Mon Feb 13 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.10-4
- Fix issues from review (Petr Pisar, #657518)

* Mon Nov 22 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> 0.10-3
- Pull Test::More

* Fri Jul 24 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.10-2
- Patch to support more metadata (Vlastimil Holer, gdc#4395)

* Mon Jul 14 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 0.10-1
- Specfile autogenerated by cpanspec 1.75.
- Patch away Perl6::Say dependency
- Adjust plist and License tag
